# $Revision: 1.3.2.1 $, $Date: 2003/03/13 00:58:02 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	Base85
Summary:	Math::Base85 Perl module for base 85 numbers, as referenced by RFC 1924
Summary(pl):	Modu Perla Math::Base85 do liczb o podstawie 85, opisanych w RFC 1924
Name:		perl-Math-Base85
Version:	0.2
Release:	1
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RFC 1924 (1 April 1996) describes a compact, fixed-size representation
of IPv6 addresses which uses a base 85 number system. This module
handles some of the uglier details of it.

%description -l pl
RFC 1924 (z 1 kwietnia 1996) opisuje zwart, o staym rozmiarze
reprezentacj adresw IPv6, uywajc systemu o podstawie 85. Ten
modu obsuguje par brzydszych szczegw tej reprezentacji.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Math/Base85.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Math-Base85.spec,v $
Revision 1.3.2.1  2003/03/13 00:58:02  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.3  2003/02/25 00:40:16  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:36:16  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/12/06 20:57:23  qboosh
- new

